# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.youtube
Class VideoEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<E>
                  com.google.gdata.data.media.MediaEntry<VideoEntry>
                      com.google.gdata.data.youtube.VideoEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor, IMediaEntry

Direct Known Subclasses:
  FavoriteEntry, PlaylistEntry, VideoMessageEntry

    public class VideoEntry

extends MediaEntry<VideoEntry>

Video entry for the youtube feeds.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`static java.lang.String[]` `CATEGORIES` Nonstandard categories that might be found in this entry.

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`VideoEntry()` Creates an empty video entry.
`VideoEntry(BaseEntry<?> original)` Creates a copy of another entry.
`VideoEntry(java.lang.String id)` Creates a new video entry and initializes it.

Method Summary
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`Comments` `getComments()` Gets the comments tag or `null`.
`Link` `getComplaintsLink()` Returns a link to the video complaints feed.
`java.util.List<FeedLink>` `getFeedLinks()` Gets all gd:feedLink tags.
`GeoRssWhere` `getGeoCoordinates()` Gets the georss:where tag.
`java.lang.String` `getLocation()` Gets the yt:location tag.
`YouTubeMediaGroup` `getMediaGroup()`
`YouTubeMediaGroup` `getOrCreateMediaGroup()`
`YtPublicationState` `getPublicationState()` Gets the publication state of this entry from the tag app:control/yt:status.
`Rating` `getRating()` Gets the gd:rating tag.
`Link` `getRatingLink()` Returns a link to the video rating feed.
`DateTime` `getRecorded()` Gets the value of the yt:recorded tag.
`Link` `getRelatedVideosLink()` Returns a link to the related videos feed.
`YtStatistics` `getStatistics()` Gets yt:statistics tag.
`Link` `getVideoResponsesLink()` Returns a link to the video responses feed.
`YtRating` `getYtRating()` Gets the yt:rating tag.
`boolean` `isEmbeddable()` Gets whether external sites can embed and play this video.
`boolean` `isRacy()` Deprecated. in favor of `MediaGroup#getRatings()` with scheme `YouTubeNamespace.MEDIA_RATING_SCHEME`. Removed in version 2
`boolean` `isYtIncomplete()` Gets the completion state of this entry from the tag app:control/yt:incomplete.
`void` `setComments(Comments comments)` Sets the comments tag.
`void` `setEmbeddable(boolean embeddable)`
`void` `setGeoCoordinates(GeoRssWhere where)` Adds a georss:where tag.
`void` `setLocation(java.lang.String location)` Sets the yt:location tag.
`void` `setPublicationState(YtPublicationState state)` Sets the publication state of this entry, using the tag app:control/yt:status.
`void` `setRacy(boolean racy)` Deprecated. in favor of `MediaGroup#getRatings()` with scheme `YouTubeNamespace.MEDIA_RATING_SCHEME`. Removed in version 2.
`void` `setRating(Rating rating)` Sets the gd:rating tag.
`void` `setRecorded(DateTime date)` Sets the value of the yt:recorded tag.
`void` `setStatistics(YtStatistics stats)` Sets yt:statistics tag.
`void` `setYtIncomplete(boolean ytIncomplete)` Sets the completion state of this entry, using the tag app:control/yt:incomplete.
`void` `setYtRating(YtRating rating)` Sets the yt:rating.

Methods inherited from class com.google.gdata.data.media.MediaEntry
`getContentHandlerInfo, getMediaEditLink, getMediaSource, setMediaSource, setService, updateMedia`

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.gdata.data.IEntry
`getCanEdit, getContent, getEdited, getEditLink, getPublished, getResumableEditMediaLink, getSelectedFields, getSummary, setCanEdit, setEdited, setPublished, setSelectedFields`

Methods inherited from interface com.google.gdata.data.IAtom
`addLink, getAuthors, getCategories, getEtag, getId, getKind, getLink, getLinks, getSelfLink, getTitle, getUpdated, getVersionId, removeLinks, removeLinks, setEtag, setId, setKind, setUpdated, setVersionId`

Field Detail

### CATEGORIES

    public static final java.lang.String[] CATEGORIES

  Nonstandard categories that might be found in this entry.

Constructor Detail

### VideoEntry

    public VideoEntry()

  Creates an empty video entry.

### VideoEntry

    public VideoEntry(BaseEntry<?> original)

  Creates a copy of another entry.

### VideoEntry

    public VideoEntry(java.lang.String id)

  Creates a new video entry and initializes it. ` * @param id entry atom/rss id

Method Detail

### setStatistics

    public void setStatistics(YtStatistics stats)

  Sets yt:statistics tag.

### getStatistics

    public YtStatistics getStatistics()

  Gets yt:statistics tag.

### isEmbeddable

    public boolean isEmbeddable()

  Gets whether external sites can embed and play this video.

### setEmbeddable

    public void setEmbeddable(boolean embeddable)

### setRacy

    @Deprecated
    public void setRacy(boolean racy)

  Deprecated. in favor of `MediaGroup#getRatings()` with scheme `YouTubeNamespace.MEDIA_RATING_SCHEME`. Removed in version 2.

  Sets the yt:racy flag.

### isRacy

    @Deprecated
    public boolean isRacy()

  Deprecated. in favor of `MediaGroup#getRatings()` with scheme `YouTubeNamespace.MEDIA_RATING_SCHEME`. Removed in version 2

  Checks the yt:racy flag.

### setRecorded

    public void setRecorded(DateTime date)

  Sets the value of the yt:recorded tag.

### getRecorded

    public DateTime getRecorded()

  Gets the value of the yt:recorded tag.

### setGeoCoordinates

    public void setGeoCoordinates(GeoRssWhere where)

  Adds a georss:where tag.

### getGeoCoordinates

    public GeoRssWhere getGeoCoordinates()

  Gets the georss:where tag.

### getLocation

    public java.lang.String getLocation()

  Gets the yt:location tag.

### setLocation

    public void setLocation(java.lang.String location)

  Sets the yt:location tag.

### getFeedLinks

    public java.util.List<FeedLink> getFeedLinks()

  Gets all gd:feedLink tags.

### getComments

    public Comments getComments()

  Gets the comments tag or `null`.

### setComments

    public void setComments(Comments comments)

  Sets the comments tag.

### getVideoResponsesLink

    public Link getVideoResponsesLink()

  Returns a link to the video responses feed.

### getRatingLink

    public Link getRatingLink()

  Returns a link to the video rating feed.

### getComplaintsLink

    public Link getComplaintsLink()

  Returns a link to the video complaints feed.

### getRelatedVideosLink

    public Link getRelatedVideosLink()

  Returns a link to the related videos feed.

### getRating

    public Rating getRating()

  Gets the gd:rating tag.

### setRating

    public void setRating(Rating rating)

  Sets the gd:rating tag.

### getYtRating

    public YtRating getYtRating()

  Gets the yt:rating tag.

### setYtRating

    public void setYtRating(YtRating rating)

  Sets the yt:rating.

### setPublicationState

    public void setPublicationState(YtPublicationState state)

  Sets the publication state of this entry, using the tag app:control/yt:status.

  Parameters:
    `state` - publication state or `null`

### getPublicationState

    public YtPublicationState getPublicationState()

  Gets the publication state of this entry from the tag app:control/yt:status.

  Returns:
    publication state or `null`, in which case the video is live

### getMediaGroup

    public YouTubeMediaGroup getMediaGroup()

### getOrCreateMediaGroup

    public YouTubeMediaGroup getOrCreateMediaGroup()

### setYtIncomplete

    public void setYtIncomplete(boolean ytIncomplete)

  Sets the completion state of this entry, using the tag app:control/yt:incomplete.

### isYtIncomplete

    public boolean isYtIncomplete()

  Gets the completion state of this entry from the tag app:control/yt:incomplete.

  Returns:
    `true` if the entry is marked incomplete `false` otherwise.

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`